namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "flash_fire_effect")]
public class FlashFireEffect : Script, IScriptChangeOffensiveStatValue
{
    /// <inheritdoc />
    public void ChangeOffensiveStatValue(IExecutingMove move, IPokemon target, byte hit, uint defensiveStat,
        ImmutableStatisticSet<uint> targetStats, Statistic stat, ref uint value)
    {
        if (move.GetHitData(target, hit).Type?.Name == "fire")
        {
            value = value.MultiplyOrMax(1.5f);
        }
    }
}